



IF NOT EXIST %LIBRARY_LIB%\libamd.lib exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
IF NOT EXIST %LIBRARY_LIB%\libbtf.lib exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
IF NOT EXIST %LIBRARY_LIB%\libcamd.lib exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
IF NOT EXIST %LIBRARY_LIB%\libccolamd.lib exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
IF NOT EXIST %LIBRARY_LIB%\libcholmod.lib exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
IF NOT EXIST %LIBRARY_LIB%\libcolamd.lib exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
IF NOT EXIST %LIBRARY_LIB%\libcxsparse.lib exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
IF NOT EXIST %LIBRARY_LIB%\libklu.lib exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
IF NOT EXIST %LIBRARY_LIB%\libldl.lib exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
IF NOT EXIST %LIBRARY_LIB%\libspqr.lib exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
IF NOT EXIST %LIBRARY_LIB%\libumfpack.lib exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
exit /B 0
